import { jsxs as _jsxs, jsx as _jsx } from "react/jsx-runtime";
import { useComponent, IconMobile, navigatorImpl } from '@brushes/qj-simulate-component';
import { getEnv } from '@brushes/api';
import { routerMap } from '../../routerMap';
export const AddressItem = ({ itemData, delAddress, setDefault, fontSize = '12px', iconSize = '12px' }) => {
    const { View, Text } = useComponent();
    const flag = getEnv();
    return (_jsxs(View, Object.assign({ className: 'addressItem' }, { children: [_jsxs(View, Object.assign({ className: 'upInfo', onClick: () => navigatorImpl(`${routerMap.addressEditor}?addressId=${itemData.addressId}`) }, { children: [_jsxs(View, Object.assign({ className: 'userInfo' }, { children: [itemData.addressMember, " ", itemData.addressPhone] })), _jsxs(View, Object.assign({ className: 'addressInfo' }, { children: [_jsxs(Text, Object.assign({ className: 'address' }, { children: [itemData.provinceName, " ", itemData.areaName, " ", itemData.cityName, " ", itemData.addressDetail] })), _jsx(IconMobile, { value: 'bianjishuru' })] }))] })), _jsxs(View, Object.assign({ className: 'downInfo' }, { children: [flag ? (_jsx("label", Object.assign({ className: "checkboxMini" }, { children: _jsxs("checkbox-group", Object.assign({ onChange: setDefault, class: 'checkBoxWrap' }, { children: [_jsx("checkbox", { value: "cb", checked: (itemData === null || itemData === void 0 ? void 0 : itemData.addressDefault) === '1' }), "\u8BBE\u4E3A\u9ED8\u8BA4\u5730\u5740"] })) }))) : (_jsxs("div", Object.assign({ className: 'checkBoxPc' }, { children: [_jsx("input", { type: "checkbox", checked: itemData.addressDefault === '1' }), _jsx("label", { children: "\u8BBE\u4E3A\u9ED8\u8BA4\u5730\u5740" })] }))), _jsx(Text, Object.assign({ className: 'del', onClick: delAddress }, { children: "\u5220\u9664" }))] }))] })));
};
