import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { memo } from 'react';
import { navigatorImpl, useComponent } from '@brushes/qj-simulate-component';
import { getEnv } from '@brushes/api';
import { AddressItem } from '../../common/addressItem';
import { useAddressList } from './hooks';
import { routerMap } from '../../routerMap';
import { Skull } from './components';
const AddressListJsx = () => {
    const { View } = useComponent();
    const flag = getEnv();
    const { list, delAddress, setDefault, skullShow } = useAddressList();
    return (_jsxs(View, Object.assign({ className: 'addressListWrap', style: {
            height: flag ? 'inherit' : '667px'
        } }, { children: [skullShow ? (_jsx(Skull, {})) : (_jsx(View, Object.assign({ className: 'addressList' }, { children: list.map((item, index) => (_jsx(AddressItem, { itemData: item, setDefault: setDefault.bind(null, item, index), delAddress: delAddress.bind(null, item) }, item === null || item === void 0 ? void 0 : item.addressId))) }))), _jsx(View, Object.assign({ className: 'addBtnWrap' }, { children: _jsx(View, Object.assign({ className: 'addBtn', onClick: () => navigatorImpl(`${routerMap.addressEditor}`) }, { children: "+ \u65B0\u589E\u5730\u5740" })) }))] })));
};
export const AddressList = memo(AddressListJsx);
