var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useComponent, NumStep, SmoothCheckbox } from '@brushes/qj-simulate-component';
import { useDispatchImpl, useStore } from '../store';
import { useCartList } from '../hooks';
export function CartItem({ list }) {
    const { View, Text, Image, Checkbox } = useComponent();
    const { updateImpl } = useCartList();
    const dispatch = useDispatchImpl();
    const { select } = useStore();
    const handleStep = (id, amount, type) => __awaiter(this, void 0, void 0, function* () {
        const count = type === 'plus' ? ++amount : --amount;
        updateImpl(id, count);
    });
    const onChange = (e) => {
        dispatch({
            type: 'select',
            payload: e.detail.value
        });
    };
    return (_jsx(SmoothCheckbox, Object.assign({ onChange: onChange }, { children: list.map((item, index) => (_jsxs(View, Object.assign({ className: 'cartItem' }, { children: [_jsx(View, Object.assign({ className: 'checkBoxWrap' }, { children: _jsx(Checkbox, { checked: select.includes(item.shoppingGoodsId + ''), value: item.shoppingGoodsId, style: {
                            '--icon-size': '16px',
                            '--font-size': '14px',
                            '--gap': '6px'
                        } }) })), _jsx(Image, { className: 'img', src: item.dataPic }), _jsxs(View, Object.assign({ className: 'info' }, { children: [_jsx(Text, Object.assign({ className: 'goodsName' }, { children: item.goodsName })), _jsxs(View, Object.assign({ className: 'size' }, { children: ["\u89C4\u683C\uFF1A", item.skuName, " X ", item.goodsCamount] })), _jsxs(View, Object.assign({ className: 'handleWrap' }, { children: [_jsxs(Text, Object.assign({ className: 'price' }, { children: ["\uFFE5", item.pricesetNprice] })), _jsx(NumStep, { count: item.goodsCamount, handleStep: handleStep.bind(null, item.shoppingGoodsId, item.goodsCamount) })] }))] }))] }), index))) })));
}
