import { makeStore } from 'qj-mobile-store';
const defaultValues = {
    count: 1,
    select: []
};
function reduceImpl(state, action) {
    switch (action.type) {
        case 'select':
            return Object.assign(Object.assign({}, state), { select: action.payload });
        default:
            return state;
    }
}
/**
 * =========== StoreProvider, useStore, useDispatchImpl ============
 * 导出三个参数
 * 第一个是Provider
 * 第二个是Store
 * 第三个是Dispath
 *
 */
const [StoreProvider, useStore, useDispatchImpl] = makeStore(reduceImpl, defaultValues);
export { StoreProvider, useStore, useDispatchImpl };
