import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useComponent } from '@brushes/qj-simulate-component';
import { getEnv } from '@brushes/api';
import { useRef } from 'react';
export const ClassifySkeleton = () => {
    const flag = getEnv();
    const { View, Skeleton } = useComponent();
    const lBlcArr = useRef(Array(3).fill(1));
    return (_jsxs(View, Object.assign({ className: 'classifySkeleton', style: { height: flag ? 'calc(100vh - 51px)' : '667px' } }, { children: [_jsx(View, Object.assign({ className: 'lPart' }, { children: lBlcArr.current.map((item, index) => {
                    return _jsx(Skeleton, { animated: true, className: 'blc' }, index);
                }) })), _jsx(View, Object.assign({ className: 'rPart' }, { children: _jsx(Skeleton.Paragraph, { lineCount: 5, animated: true }) }))] })));
};
