import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { useComponent, Popup, SmoothRadio } from '@brushes/qj-simulate-component';
import { THREE_DOTS } from '../../../static';
import { useState } from 'react';
import { Coupon } from '../../../common/coupon';
import { useDispatchImpl, useStore } from '../store';
const fake = [
    {
        title: '五一大促疯抢 满100立减10',
        date: '2022-10-01',
        price: 10,
        id: 1
    },
    {
        title: '五一大促疯抢 满100立减10',
        date: '2022-10-01',
        price: 20,
        id: 2
    },
    {
        title: '五一大促疯抢 满100立减10',
        date: '2022-10-01',
        price: 30,
        id: 3
    }
];
const GoodsDetailCoupon = () => {
    const { View, Text } = useComponent();
    const [visible, setVisible] = useState(false);
    const dispatch = useDispatchImpl();
    const { couponValue } = useStore();
    console.log(34, couponValue);
    const onChange = (value) => {
        dispatch({
            type: 'select',
            payload: {
                couponValue: value.detail.value
            }
        });
    };
    return (_jsxs(_Fragment, { children: [_jsxs(View, Object.assign({ className: 'goodsDetail-coupon', onClick: () => setVisible(true) }, { children: [_jsx(Text, Object.assign({ className: 'label' }, { children: "\u4F18\u60E0\u5238" })), _jsxs(View, Object.assign({ className: 'info' }, { children: [_jsx(Text, Object.assign({ className: 'label' }, { children: couponValue ? `已选择: ${couponValue}` : '请选择优惠券' })), _jsx("img", { src: THREE_DOTS, alt: "", className: 'icon' })] }))] })), _jsx(Popup, Object.assign({ popupVisible: visible, popupHandler: setVisible }, { children: _jsx(View, Object.assign({ className: 'goodsDetail-coupon-popup' }, { children: _jsx(View, Object.assign({ className: 'stampWrap' }, { children: _jsx(SmoothRadio, Object.assign({ onChange: onChange, defaultValue: 0 }, { children: fake.map((item, index) => {
                                return _jsx(Coupon, { index: index, item: item }, index);
                            }) })) })) })) }))] }));
};
export default GoodsDetailCoupon;
