import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { switchTabImpl, useComponent, IconMobile } from '@brushes/qj-simulate-component';
import { useDispatchImpl } from '../store';
import { routerMap } from '../../../routerMap';
const GoodsDetailHandleBar = () => {
    const { Text, View } = useComponent();
    const dispatch = useDispatchImpl();
    return (_jsxs(View, Object.assign({ className: 'goodsDetailHandleBar' }, { children: [_jsxs(View, Object.assign({ className: 'linkGroup' }, { children: [_jsx(IconMobile, { value: 'kefu', style: { fontSize: 22, display: 'block' } }), _jsx(Text, Object.assign({ className: 'txt' }, { children: "\u5BA2\u670D" }))] })), _jsxs(View, Object.assign({ className: 'linkGroup', onClick: () => switchTabImpl(routerMap.shopping) }, { children: [_jsx(IconMobile, { value: 'gouwuche', style: { fontSize: 22, display: 'block' } }), _jsx(Text, Object.assign({ className: 'txt' }, { children: "\u8D2D\u7269\u8F66" }))] })), _jsxs(View, Object.assign({ className: 'btnGroup' }, { children: [_jsx(View, Object.assign({ className: 'btn addCart', onClick: () => {
                            dispatch({
                                type: 'popupImpl',
                                payload: {
                                    orderType: 0,
                                    popupVisible: true,
                                    isNeedButton: true
                                }
                            });
                        } }, { children: "\u52A0\u5165\u8D2D\u7269\u8F66" })), _jsx(View, Object.assign({ onClick: () => {
                            dispatch({
                                type: 'popupImpl',
                                payload: {
                                    orderType: 1,
                                    popupVisible: true,
                                    isNeedButton: true
                                }
                            });
                        }, className: 'btn buy' }, { children: "\u7ACB\u5373\u8D2D\u4E70" }))] }))] })));
};
export default GoodsDetailHandleBar;
