import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Popup, NumStep } from '@brushes/qj-simulate-component';
import { useAddShopping } from '../hooks';
import { useComponent } from '@brushes/qj-simulate-component';
const GoodsDetailPopup = ({ goods }) => {
    const { count, spec, popupVisible, isNeedButton, handleChooseSize, handleStep, popupHandler, addShoppingImpl } = useAddShopping();
    const { View, Text, Image } = useComponent();
    return (_jsx(Popup, Object.assign({ popupVisible: popupVisible, popupHandler: popupHandler }, { children: _jsxs(View, Object.assign({ className: 'goodsDetail-size-popup' }, { children: [_jsxs(View, Object.assign({ className: 'content' }, { children: [_jsxs(View, Object.assign({ className: 'goodsInfo' }, { children: [_jsx(View, Object.assign({ className: 'lPart' }, { children: _jsx(Image, { src: goods.dataPic, alt: "", className: 'goodsImg' }) })), _jsxs(View, Object.assign({ className: 'rPart' }, { children: [_jsx(View, Object.assign({ className: 'name' }, { children: goods.goodsShowname || '' })), _jsxs(View, Object.assign({ className: 'price' }, { children: ["\uFFE5 ", goods.pricesetNprice.toFixed(2) || ''] })), _jsxs(View, Object.assign({ className: 'chosen' }, { children: ["\u5DF2\u9009\u62E9: ", spec] }))] }))] })), _jsxs(View, Object.assign({ className: 'sizeArr' }, { children: [_jsx(Text, Object.assign({ className: 'title' }, { children: "\u9009\u62E9\u989C\u8272" })), _jsx(View, Object.assign({ className: 'sizeArrItemWrap' }, { children: goods.rsSpecValueDomainList.map((item, index) => {
                                        return (_jsx(View, Object.assign({ className: `sizeItem ${spec === item.specValueValue ? 'active' : ''}`, onClick: handleChooseSize.bind(null, item.specValueValue) }, { children: item.specValueValue }), index));
                                    }) }))] })), _jsxs(View, Object.assign({ className: 'countWrap' }, { children: [_jsx(View, Object.assign({ className: 'label' }, { children: "\u8D2D\u4E70\u6570\u91CF" })), _jsx(NumStep, { count: count, handleStep: handleStep })] }))] })), isNeedButton && (_jsx(View, Object.assign({ className: 'btnWrap', onClick: addShoppingImpl }, { children: _jsx(Text, Object.assign({ className: 'btn' }, { children: "\u786E\u8BA4" })) })))] })) })));
};
export default GoodsDetailPopup;
