import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { useComponent } from '@brushes/qj-simulate-component';
import { THREE_DOTS } from '../../../static';
import GoodsDetailPopup from './goodsDetailPopup';
import { useDispatchImpl, useStore } from '../store';
const GoodsDetailSize = ({ goods }) => {
    const { View, Text } = useComponent();
    const { count, spec } = useStore();
    const dispatch = useDispatchImpl();
    return (_jsxs(_Fragment, { children: [_jsxs(View, Object.assign({ className: 'goodsDetail-size', onClick: () => dispatch({
                    type: 'popupImpl',
                    payload: {
                        popupVisible: true,
                        isNeedButton: false
                    }
                }) }, { children: [_jsx(Text, Object.assign({ className: 'label' }, { children: "\u89C4\u683C" })), _jsxs(View, Object.assign({ className: 'info' }, { children: [_jsxs(Text, Object.assign({ className: 'label' }, { children: ["\u5DF2\u9009\u62E9 \u6570\u91CF: ", count, " \u89C4\u683C: ", spec] })), _jsx("img", { src: THREE_DOTS, alt: "", className: 'icon' })] }))] })), _jsx(GoodsDetailPopup, { goods: goods })] }));
};
export default GoodsDetailSize;
