import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useRef } from 'react';
import { useComponent, IconMobile, navigatorImpl } from '@brushes/qj-simulate-component';
import { routerMap } from '../../../routerMap';
export const MenuList = () => {
    const { View, Text } = useComponent();
    const config = useRef([
        {
            icon: 'youhuiquan',
            label: '优惠券',
            link: 'couponList'
        },
        {
            icon: 'dizhi',
            label: '地址管理',
            link: 'addressList'
        }
    ]);
    return (_jsx(View, Object.assign({ className: 'menuList' }, { children: config.current.map((item, idx) => {
            return (_jsxs(View, Object.assign({ className: 'menuListItem', onClick: () => navigatorImpl(routerMap[item.link]) }, { children: [_jsxs(View, Object.assign({ className: 'lPart' }, { children: [_jsx(IconMobile, { value: item.icon }), _jsx(Text, Object.assign({ className: 'label' }, { children: item.label }))] })), _jsx(IconMobile, { value: 'xiangyou1' })] }), idx));
        }) })));
};
