import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { useComponent } from '@brushes/qj-simulate-component';
const OrderPrice = ({ payState, savePayPrice }) => {
    const { View, Text } = useComponent();
    const { shoppingCountPrice, freight, accountsSumPrice, comDisMoney } = payState;
    return (_jsxs(_Fragment, { children: [_jsxs(View, Object.assign({ className: 'price blcWrap' }, { children: [_jsx(View, Object.assign({ className: 'title' }, { children: "\u4EF7\u683C\u660E\u7EC6" })), _jsxs(View, Object.assign({ className: 'express blcItem' }, { children: [_jsx(View, Object.assign({ className: 'label' }, { children: "\u5546\u54C1\u603B\u91D1\u989D" })), _jsxs(View, Object.assign({ className: 'value' }, { children: ["\uFFE5 ", shoppingCountPrice] }))] })), _jsxs(View, Object.assign({ className: 'coupon blcItem' }, { children: [_jsx(View, Object.assign({ className: 'label' }, { children: "\u4F18\u60E0\u91D1\u989D" })), _jsxs(View, Object.assign({ className: 'value' }, { children: ["\uFFE5 ", comDisMoney] }))] })), _jsxs(View, Object.assign({ className: 'express blcItem' }, { children: [_jsx(View, Object.assign({ className: 'label' }, { children: "\u8FD0\u8D39" })), _jsxs(View, Object.assign({ className: 'value' }, { children: ["\uFFE5 ", freight] }))] })), _jsxs(View, Object.assign({ className: 'all blcItem' }, { children: [_jsx(View, Object.assign({ className: 'label' }, { children: "\u603B\u8BA1" })), _jsxs(View, Object.assign({ className: 'value', style: { color: '#000' } }, { children: ["\uFFE5 ", accountsSumPrice] }))] }))] })), _jsxs(View, Object.assign({ className: 'placeOrderFooter' }, { children: [_jsxs(Text, Object.assign({ className: 'price' }, { children: ["\u5408\u8BA1: ", accountsSumPrice] })), _jsx(View, Object.assign({ className: 'btn', onClick: savePayPrice }, { children: "\u751F\u6210\u8BA2\u5355" }))] }))] }));
};
export default OrderPrice;
