import { jsx as _jsx } from "react/jsx-runtime";
import { memo } from 'react';
import { useComponent } from '@brushes/qj-simulate-component';
const ServiceJsx = ({ width, height, top, right, bottom, left, borderRadius }) => {
    const { View } = useComponent();
    return (_jsx(View, { style: { width, height, borderRadius, top, left, right, bottom }, className: 'components-service' }));
};
export const Service = memo(ServiceJsx);
