import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { memo, useState } from 'react';
import { useComponent, SmoothCheckbox } from '@brushes/qj-simulate-component';
import { getEnv } from '@brushes/api';
import { useCartList } from './hooks';
import { CartItem } from './components/cartItem';
import { StoreProvider, useStore } from './store';
const flag = getEnv();
const CartJsx = () => {
    const [editState, setEditState] = useState(true);
    const { View, Text, Checkbox } = useComponent();
    const { select } = useStore();
    const { cartList, amount, selectAll, allCart, toOrderImpl } = useCartList();
    return (_jsxs(View, Object.assign({ className: 'cart', style: {
            height: flag ? '100%' : '667px'
        } }, { children: [_jsx(View, Object.assign({ className: 'edit' }, { children: _jsx(View, Object.assign({ className: 'btn', onClick: () => setEditState(!editState) }, { children: editState ? '编辑' : '完成' })) })), _jsx(View, Object.assign({ className: 'itemGroup' }, { children: _jsx(CartItem, { list: cartList.shoppingGoodsList }) })), _jsxs(View, Object.assign({ className: 'dashboard' }, { children: [_jsx(View, Object.assign({ className: 'choose' }, { children: _jsx(SmoothCheckbox, Object.assign({ onChange: selectAll }, { children: _jsx(Checkbox, Object.assign({ checked: allCart.current.length === select.length, value: 'true', style: {
                                    '--icon-size': '16px',
                                    '--font-size': '14px',
                                    '--gap': '6px'
                                } }, { children: "\u5168\u9009" })) })) })), editState ? (_jsxs(View, Object.assign({ className: 'check' }, { children: [_jsxs(View, Object.assign({ className: 'priceGroup' }, { children: [_jsxs(View, Object.assign({ className: 'discount' }, { children: ["\u4F18\u60E0: ", _jsxs(Text, Object.assign({ className: 'data' }, { children: ["\uFFE5 ", cartList.disMoney || 0] }))] })), _jsxs(View, Object.assign({ className: 'all' }, { children: ["\u5408\u8BA1: ", _jsxs(Text, Object.assign({ className: 'data' }, { children: ["\uFFE5 ", amount.amount] }))] }))] })), _jsxs(View, Object.assign({ onClick: toOrderImpl, className: 'btn' }, { children: ["\u7ED3\u7B97(", amount.num, ")"] }))] }))) : (_jsx(View, Object.assign({ className: 'del' }, { children: _jsx(View, Object.assign({ className: 'btn' }, { children: "\u5220\u9664" })) })))] }))] })));
};
const WrapCartJsx = () => {
    return (_jsx(StoreProvider, { children: _jsx(CartJsx, {}) }));
};
export const Cart = memo(WrapCartJsx);
