import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { memo } from 'react';
import { useComponent, IconMobile, WrapLoading } from '@brushes/qj-simulate-component';
import { getEnv } from '@brushes/api';
// import {config} from "./config";
import { useOrderResult } from './hooks/useOrderResult';
const flag = getEnv();
const PaymentModeJsx = ({ code }) => {
    const { View, Text } = useComponent();
    const { paymentImpl, channelList, contract, handleRadio, loading } = useOrderResult(code);
    return (_jsxs(View, Object.assign({ className: 'paymentModeWrap', style: {
            height: flag ? 'inherit' : '667px'
        } }, { children: [_jsxs(View, Object.assign({ className: 'paymentMode' }, { children: [_jsxs(View, Object.assign({ className: 'topInfo' }, { children: [_jsxs(Text, Object.assign({ className: 'title' }, { children: [_jsx(IconMobile, { value: 'roundcheck' }), "\u8BA2\u5355\u63D0\u4EA4\u6210\u529F"] })), _jsxs(View, Object.assign({ className: 'info' }, { children: ["\u8BA2\u5355\u53F7\uFF1A", contract.current.contractBillcode, " | \u603B\u91D1\u989D\uFF1A", contract.current.dataBmoney, "\u5143"] }))] })), _jsx(View, Object.assign({ className: 'paymentGroup' }, { children: _jsx("radio-group", Object.assign({ onChange: handleRadio }, { children: channelList.map((item) => {
                                return (_jsxs(View, Object.assign({ className: 'paymentItem' }, { children: [_jsx(IconMobile, { value: item.icon }), _jsxs(View, { children: [_jsxs(View, Object.assign({ className: 'base' }, { children: [_jsx(Text, { children: item.fchannelName }), flag ? _jsx("radio", { value: item.fchannelCode }) : _jsx("input", { type: "radio" })] })), item.value === 'account' ? (_jsxs(View, Object.assign({ className: 'info' }, { children: [_jsx(View, { children: "\u8D26\u6237\u4F59\u989D\uFF1A0\u5143" }), _jsx(View, { children: "\u672C\u5355\u62B5\u6263\uFF1A5.4\u5143" })] }))) : null] })] }), item.fchannelCode));
                            }) })) }))] })), _jsx(WrapLoading, Object.assign({ loading: loading }, { children: _jsx(View, Object.assign({ className: 'btnGroup', onClick: paymentImpl }, { children: _jsx(View, Object.assign({ className: 'payment' }, { children: "\u7ACB\u5373\u652F\u4ED8" })) })) }))] })));
};
export const PaymentMode = memo(PaymentModeJsx);
