import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { memo } from 'react';
import { navigatorImpl, useComponent } from '@brushes/qj-simulate-component';
import { getEnv } from '@brushes/api';
import { routerMap } from '../../routerMap';
import { usePlaceOrder } from './hooks/usePlaceOrder';
import { Address } from './components/address';
import ShopJsx from './components/shop';
import OrderPrice from './components/orderPrice';
const flag = getEnv();
const PlaceOrderJsx = ({ goodsNum, skuId, shoppingGoodsId }) => {
    const { View, Text } = useComponent();
    const { savePayPrice, address, list, payState } = usePlaceOrder({ skuId, goodsNum, shoppingGoodsId });
    return (_jsxs(View, Object.assign({ className: 'placeOrder', style: {
            height: flag ? '100vh' : '667px'
        } }, { children: [_jsx(View, Object.assign({ className: 'chooseAddress', onClick: () => navigatorImpl(routerMap.addressList) }, { children: _jsx(Address, { address: address }) })), _jsx(ShopJsx, { goodsList: list.current }), _jsxs(View, Object.assign({ className: 'info blcWrap' }, { children: [_jsxs(View, Object.assign({ className: 'express blcItem' }, { children: [_jsx(View, Object.assign({ className: 'label' }, { children: "\u914D\u9001\u65B9\u5F0F" })), _jsx(View, Object.assign({ className: 'value' }, { children: "\u5FEB\u9012" }))] })), _jsxs(View, Object.assign({ className: 'coupon blcItem' }, { children: [_jsx(View, Object.assign({ className: 'label' }, { children: "\u4F7F\u7528\u4F18\u60E0" })), _jsxs(View, Object.assign({ className: 'value' }, { children: ["\u53EF\u9009\u62E9\u4F7F\u7528\u4F18\u60E0\u7801/\u4F18\u60E0\u7801", _jsx(Text, { className: 'icon' })] }))] }))] })), _jsx(OrderPrice, { savePayPrice: savePayPrice, payState: payState.current })] })));
};
export const PlaceOrder = memo(PlaceOrderJsx);
